CADsite

  • zo 17 01 2021, 13:17:52
  • Welkom, gast
Log in of registreer jezelf.

Login met gebruikersnaam, wachtwoord en sessielengte
Geavanceerd zoeken  

Nieuws:

Toon bijdragen

Deze sectie stelt je in staat om alle bijdragen van dit lid te bekijken. Je kunt alleen de bijdragen zien waar je op dit moment toegang toe hebt.

Berichten - delangstevandestraat

Pagina's: [1] 2 3 ... 14
1
AutoCAD probleem / Re: dynamic flip zonder mirror
« Gepost op: di 27 10 2020, 07:52:52 »
Aangezien dit block niet symetrisch is, heb ik er een extra flipje ingestopt die de gebruiker toelaat om het schuine lijntje juist te plaatsen.

Geen echte oplossing maar toch...

Can't win them all

2
AutoCAD probleem / Re: dynamic block : flip verknoeit stretch OPGELOST
« Gepost op: di 27 10 2020, 07:49:55 »
Ik heb ontdekt dat het probleem zich voordoet bij cirkels en stukken van cirkels, dus gebruik ik nu gebogen polylines dan is dit probleem meestal weg ;-)

3
AutoCAD probleem / Re: Blocken aanpassen
« Gepost op: di 27 10 2020, 07:44:30 »
Er zijn verschillende manieren die ik gebruik afhankelijk van welke soort block ik wens up te daten,

Zowiezo beheer ik al mijn blocks in een aparte folder telkens als dwg op zich. (dit ter info)

1e - als het een 'simpele' block is (enkel getekende elementen en attributes) dan volstaat een redefine, dit kan via een lispje waar je een lusje schrijft rond onderstaande code om alle blocks die je wilt laten aanpassen te behandelen
          (command "-INSERT" (strcat bloknaam "=" fullfile) nil)
          (command-s "ATTSYNC" "N" bloknaam)
LET OP: als je attributen wijzigt of toevoegt dan zal dit ongewenste resultaten leveren en kan deze manier niet meer voldoende zijn.

2e - als het een 'complexere' block is (met dynamic en attrib en wat nog niet allemaal ;-) ) dan maak ik daar een
een ander soort lispje rond waarin ik alle parameters van de block uit de dwg haal :
 * alle attrib's,
 * alle dynamic properties
 * alle block properties (positie,hoek, ...)

deze oude block verwijderen en een nieuwe block vanuit de lisp laten intekenen waarbij ik dan alle bijgehouden variabelen gebruik om deze geupdate block exact terug te plaatsen.

Hier heb je alle vrijheid om binnen het ontwerp van je block echt alles te veranderen. als je bvb een extra attribute toegevoegd hebt kan je bij het vervangen in je lisp de 'te verwijderen block' tonen aan de gebruiker en daar de vraag stellen wat de nieuwe attribute moet zijn.

Je moet hierbij wel code maken voor elke block specifiek.
Een extra optie is om de oude block te moven naar ergens ver weg, en eventueel te veranderen van laag, dan ben je deze niet onmiddellijk kwijt voor als het toch fout loopt.
Ook plaats ik de nieuwe blocks meestal in een layer nieuw met een opvallend kleurtje, zodat je makkelijk kan zien wat er overal vervangen is geweest.

Eens alles klaar kan je dit dan aanpassen naar de juiste layer en de gemovede blocks in een actie verwijderen.

Deze manier werkt goed, maar is natuurlijk een beetje codeerwerk, en je moet dus zelf uitmaken of het rendabel genoeg (hoeveel keer heb je dit nodig en voor hoeveel blocks) is om daar je tijd in te steken of niet.

3e - Een andere mogelijkheid is dat je
 * uw slechte blocks verplaatst naar een lege locatie,
 * daar met een vaste offset uw nieuwe blocks naast plaatst,
 * via een copypastecopypaste lispje de attrib value's overbrengt
 * deze nieuwe blocks terugplaatst

deze manier vereist geen codeerwerk en levert je vlugger resultaat, maar duurt langer bij grotere aantallen

Hier het copy - paste - cpoy - paste stukje code (een van mijn meest gebruikte stukjes code)
; this program let's u copy txt sequentially
; read txt write txt read write, read write....
;

(defun c:xFT (/ cntr ent atortxt modtxt txtormtxt dimortxt seldimt strdimedit el mt selatt )
(setvar "cmdecho" 0)
(setq cntr 0)
  (while (< cntr 10)
      (setq ent (nentselp "Select source Text: " ))
      (if ent
        (progn ;1
         (setq atortxt (cdr(assoc 1 (entget (car ent ))))) 
            (setq modtxt (nentselp "\n Select Text to modify: "))
            (if modtxt
              (progn ;2
                (setq txtormtxt (cdr(assoc 0 (entget (car modtxt ))))) 
                (cond
                  ((or (= txtormtxt "TEXT")(= txtormtxt "MTEXT"))
                    (progn ;3
                      (setq dimormtxt (cdr(assoc 42 (entget (car modtxt ))))) 
                      (if (/= dimormtxt nil)
                        (progn ;4
                          (setq seldimt (cdr (assoc -1 (entget (car modtxt )))))
                          (setq strdimedit (substr atortxt 5 (strlen atortxt)))
                          (command "dimedit" "n" strdimedit seldimt "")
                        ) ;progn4
                        (progn ;5
                          (setq el (entget (car modtxt )))         
                          (setq mt (subst (cons 1 atortxt) (assoc 1 EL) EL))
                          (entmod mt)
                        ) ;progn5
                      ) ;if
                    ) ;progn3
                  ) ;cond or
                  ((= txtormtxt "ATTRIB")
                    (progn ;6
                      (setq selatt (cdr (assoc -1 (entget (car modtxt )))))
                      (command "-attedit" "" "" "" "" selatt "v" "r" atortxt "")
                    ) ;progn6
                  ) ;cond or
                  (T (princ "\n Invalid Selection... "))
                ) ;cond
              ) ;progn2
            ) ;if
        ) ;progn1
      ) ;if
  );while
(princ)
) ;defun



4
Autolisp / Re: pan to top or bottom
« Gepost op: di 13 10 2020, 04:03:18 »
of gewoon dubbelklik op je scrollwiel,
dan staan boven en onderkant gelijk in één keer

5
AutoCAD probleem / dynamic flip zonder mirror WORKED AROUND opgelost-achtig
« Gepost op: vr 02 10 2020, 15:15:48 »
Ik heb een block die ik dynamisch wil flippen rond x-as en y-as
via 2 flip acties is dit geen probleem
één onderdeel van de te flippen objecten is een diagonale lijn die in een rechthoekje staat.
en deze lijn moet altijd van linksboven naar rechts onder getekend blijven staan.
en zou dus niet mogen gespiegeld worden tijdens deze flip actie's

heeft er iemand een idee hoe dit kan geregeld worden ?

alvast bedankt ;-)

6
Autolisp / Re: ongewenste afronding van lambert-coordinaten
« Gepost op: ma 28 09 2020, 16:52:19 »
in de properties van autocad staan er idd cijfers en in lisp, de pos van de vectoren opvragen via lisp en daar dan zien dat er enkel 0-en na de komma staan


7
Autolisp / ongewenste afronding van lambert-coordinaten
« Gepost op: ma 07 09 2020, 15:25:10 »
Ik heb een 3dpolyline in een lambert coordinatenstelsel waar ik in de properties van autocad zelf tot 4 cijfers na de komma zie staan.

Maar eens ik diezelfde PL via lisp watch bekijk dan zijn alle coordinaten afgerond tot op de komma ?
Met dus afrondingsfout tot 50 cm als gevolg.

Dit is reeds zo nog voor ik er in lisp iets mee doe.
Ik vermoed dat er dus misschien ergens een sysvar verkeerd staat, maar 'k weet niet welkeen ;-s

Weet iemand hier een oplossing voor ?

8
Autolisp / lengthen vanuit lisp werkt op de verkeerde kant van de lijn
« Gepost op: vr 31 07 2020, 16:45:45 »
Ik heb een stuk lisp-code die een block wijzigt in een andere block.
hierdoor zijn de aansluitende lijnen te kort of te lang
ik heb deze vanuit lisp met lengthen laten aanpassen en dat lukt wel, maar de wijziging gebeurt langs de verkeerde kant?

ter info : ik heb de lijn geselcteerd d.m.v. een crossing 'ssget' langs de kant waar ie moet wijzigen

hoe kan ik dit oplossen zodat de juiste kant aangepast wordt?

alvast bedankt

9
AutoCAD probleem / Re: layers colors
« Gepost op: di 02 06 2020, 09:25:32 »
een block neemt de kleur van de layer waarin hij wordt geplaatst over, op voorwaarde dat deze block in layer 0 getekend wordt en tenzij in de block zelf de entity's kleurinstellingen hebben.

10
AutoCAD probleem / Re: plotter wijzigen in pc3
« Gepost op: ma 04 05 2020, 11:53:41 »
ik heb éénmaal een pc3 aangemaakt met de juiste plotter instellingen,
en heb dan via een beetje code one-click-plot-knopjes gemaakt in een toolbar-tje

aangezien die pc3-file een naam heeft kan je deze vanuit de code aansturen.

11
AutoCAD probleem / Re: dynamic block : flip verknoeit stretch
« Gepost op: ma 04 05 2020, 11:49:21 »
dit is ook een goede deur ;-)

de breedte van de deur heb ik op standaard maten met increment gemaakt, en als je dan eerst je gat aanpast, dan kan je het deurblad (altijd 12 minder) via prop inegeven.


maar daarmee is het originele probleem niet weg ;-(

12
AutoCAD probleem / dynamic block : flip verknoeit stretch OPGELOST
« Gepost op: vr 17 04 2020, 17:04:02 »
Ik heb in een block een stretch parameter alsook een flip parameter

stretchen geen probleem,
flippen ook geen probleem,

het probleem doet zich voor als je een flip doet, daarna een stretch dan werkt de stretch niet meer juist.
de lijn is bedoeld om altijd in de cirkels uit te komen

heb ik ergens een eigenschap verkeerd staan ?

13
Autolisp / Re: ontleden van ole-objecten
« Gepost op: do 16 04 2020, 11:33:11 »
het mag ook met een ander stukje code, het moet geen lisp zijn.

Het gaat er vooral om dat de tekst niet verloren gaat, ik zou ook een autocad block kunnen invoegen en manueel alles overtypen, maar ik was van plan om een klein stukje code te schrijven waarmee ik dan een block kan plaatsen en de extracted text via aanklikken te gebruiken om de attributen van mijn block in te vullen, op die manier zijn typo's vermeden

14
Autolisp / ontleden van ole-objecten
« Gepost op: do 16 04 2020, 07:53:24 »
Ik heb een dwg met tientallen OLE-objecten

omdat autocad hierop crasht, wil ik deze uit de tekenning verwijderen en vervangen door een gewoon block

om dit te kunnen doen heb ik wel graag de info uit de ole's

heeft er iemand een stuk code liggen, (of wil je't maken, graag)

het enige wat er moet gebeuren is na een selectie van het ole, een punt vragen van de gebruiker, daar op dat punt alle teksten gewoon in autocad onder elkaar dumpen.


ps, de ole's hebben niet altijd evenveel teksten in zich

alvast bedankt

15
AutoCAD probleem / Re: Kun je hoogtes meegeven aan een ARC?
« Gepost op: do 09 04 2020, 10:58:54 »
als in 3d tekent dan moet je gewoon in je achterhoofd houden dat cirkels altijd in het x-y vlak getekend worden.

Als je dan een boog hebt getekend kan je via de properties een z-waarde toekennen aan je centerpunt van je boog

je kan natuurlijk ook je ucs verleggen op een bepaalde hoogte hé


Pagina's: [1] 2 3 ... 14